Distributor API
Get plan details
Path Parameters
planId*string
Format
uuidHeader Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/distributors/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"data": {
"id": "11111111-1111-4111-8111-111111111111",
"displayName": "SafeWeb Basic",
"features": [
{
"feature_name": "dark-web-monitoring"
}
],
"isSystemDefault": true,
"planType": "safeweb-basic",
"status": "active",
"allowsInsurance": false
}
}{
"success": false,
"error": "Plan ID must be valid"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Plan not found"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Internal server error"
}